Subject: Improved handling of IPv6 atomic fragments (FO=0, MF=0)

From: Fernando Gont <[email-masked]>
Date: Mon, 30 Jan 2012 07:24:22 -0300

Folks,

FYI. We have published an IETF I-D that proposes an improved handling of
IPv6 atomic fragments (IPv6 fragments that have an offset of 0, and MF=0).

The I-D is available here:
<http://tools.ietf.org/id/draft-gont-6man-ipv6-atomic-fragments-00.txt>

The aforementioned behaviour eliminates fragmentation-based attacks
against traffic that employs atomic fragments, and has already been
implemented by OpenBSD.

Thanks,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1